Add Frames
POST
/api/construct-models/:model_id/framesAdd Frames
Request
Parameters
| Name | Location | Type | Required |
|---|---|---|---|
model_id | path | string | yes |
Bodyrequired
application/json
FramesBatchobject
| Property | Type | Required |
|---|---|---|
frames | object[] | yes |
Raw schema
{
"properties": {
"frames": {
"items": {
"properties": {
"endNodeId": {
"title": "Endnodeid",
"type": "string"
},
"id": {
"title": "Id",
"type": "string"
},
"label": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Label"
},
"length": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
],
"title": "Length"
},
"materialId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Materialid"
},
"memberId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Memberid"
},
"rotation": {
"default": 0,
"title": "Rotation",
"type": "number"
},
"sectionId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Sectionid"
},
"sectionOffset": {
"anyOf": [
{
"properties": {
"x": {
"title": "X",
"type": "number"
},
"y": {
"title": "Y",
"type": "number"
}
},
"required": [
"x",
"y"
],
"title": "ViewerPoint2",
"type": "object"
},
{
"type": "null"
}
]
},
"source": {
"anyOf": [
{
"additionalProperties": true,
"type": "object"
},
{
"type": "null"
}
],
"title": "Source"
},
"startNodeId": {
"title": "Startnodeid",
"type": "string"
}
},
"required": [
"id",
"startNodeId",
"endNodeId"
],
"title": "ViewerFrame",
"type": "object"
},
"minItems": 1,
"title": "Frames",
"type": "array"
}
},
"required": [
"frames"
],
"title": "FramesBatch",
"type": "object"
}Responses
200Successful Response
application/json
Response Add Construct Framesobject[]
Raw schema
{
"items": {
"properties": {
"endNodeId": {
"title": "Endnodeid",
"type": "string"
},
"id": {
"title": "Id",
"type": "string"
},
"label": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Label"
},
"length": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
],
"title": "Length"
},
"materialId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Materialid"
},
"memberId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Memberid"
},
"rotation": {
"default": 0,
"title": "Rotation",
"type": "number"
},
"sectionId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Sectionid"
},
"sectionOffset": {
"anyOf": [
{
"properties": {
"x": {
"title": "X",
"type": "number"
},
"y": {
"title": "Y",
"type": "number"
}
},
"required": [
"x",
"y"
],
"title": "ViewerPoint2",
"type": "object"
},
{
"type": "null"
}
]
},
"source": {
"anyOf": [
{
"additionalProperties": true,
"type": "object"
},
{
"type": "null"
}
],
"title": "Source"
},
"startNodeId": {
"title": "Startnodeid",
"type": "string"
}
},
"required": [
"id",
"startNodeId",
"endNodeId"
],
"title": "ViewerFrame",
"type": "object"
},
"title": "Response Add Construct Frames",
"type": "array"
}422Validation Error
application/json
HTTPValidationErrorobject
| Property | Type | Required |
|---|---|---|
detail | object[] | no |
Raw schema
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"title": "Location",
"type": "array"
},
"msg": {
"title": "Message",
"type": "string"
},
"type": {
"title": "Error Type",
"type": "string"
}
},
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError",
"type": "object"
},
"title": "Detail",
"type": "array"
}
},
"title": "HTTPValidationError",
"type": "object"
}